<html>
    <head>
        <title>Blog App</title>
    </head>
    <body>
        <h1>{% block titulo %}Aplicação de Blog{% endblock %}</h1>
        <hr/>
        {% block menu %}
        <b>Menu:</b>
        <a href="{% url 'blog:index' %}">Home</a>
        | <a href="{% url 'blog:nova_postagem' %}">Nova Postagem</a>
        {% endblock %}
        {% if user.is_authenticated %}
           | Logado como: {{ user.username }}
           (<a href="{% url 'logout' %}?next={% url 'blog:index' %}">logout</a>)
        {% endif %}
        <hr/>
        {% if messages %}
            {% for msg in messages %}
                <p><b>{{ msg }}</b></p>
            {% endfor %}
            <hr/>
        {% endif %}

        {% block principal %}
        {% endblock %}

        <a href="{% url 'index:root' %}">Retorna à aplicalção "index"</a>
    </body>
</html>